%define upstream_name    WWW-Wikipedia
%define upstream_version 2.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Automated interface to the Wikipedia
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Autoformat)
BuildRequires: perl(URI)
BuildRequires: perl-libwww-perl
BuildArch:  noarch

%description
WWW::Wikipedia provides an automated interface to the Wikipedia 
http://www.wikipedia.org, which is a free, collaborative, online 
encyclopedia. This module allows you to search for a topic and return the 
resulting entry. It also gives you access to related topics which are also 
available via the Wikipedia for that entry.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes META.yml README
%_bindir/*
%_mandir/*/*
%perl_vendorlib/WWW


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.0.0-2.mga3
+ Revision: 374813
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Apr 05 2011 kharec <kharec> 2.0.0-1.mga1
+ Revision: 80824
- update to 2.0.0

* Sat Feb 26 2011 jquelin <jquelin> 1.990.0-1.mga1
+ Revision: 60402
- update to 1.99

* Sat Jan 22 2011 jquelin <jquelin> 1.980.0-1.mga1
+ Revision: 32781
- mageia rebuild
- imported package perl-WWW-Wikipedia

